<?php

  namespace App\Classes;

  require __DIR__ . "/BaseHandler.php";
  require __DIR__ . '/../../server/utils/init.php';

  abstract class ApiHandler extends BaseHandler
  {
    protected function ensureCliAccess(): void
    {
      if (php_sapi_name() !== 'cli' && $_SERVER['REQUEST_METHOD'] !== 'POST') redirectTo404();
    }
  }
